Skip to main content
GET
/
v1
/
industrial
/
vision
/
runs
/
{camera_id}
Fetch runs by camera
curl --request GET \
  --url https://api.samsara.com/v1/industrial/vision/runs/{camera_id} \
  --header 'Authorization: Bearer <token>'
[
  {
    "deviceId": 1234512345123,
    "endedAtMs": 0,
    "program": {
      "id": 1,
      "name": "Barcode verification program"
    },
    "reportMetadata": {
      "itemsPerMinute": 0.1,
      "noReadCount": 0,
      "rejectCount": 0,
      "successCount": 181
    },
    "startedAtMs": 1553808606097
  }
]

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

camera_id
integer<int64>
required

The camera_id should be valid for the given accessToken.

Query Parameters

durationMs
integer<int64>
required

DurationMs is a required param. This works with the EndMs parameter. Indicates the duration in which the visionRuns will be fetched

endMs
integer<int64>

EndMs is an optional param. It will default to the current time.

Response

Return runs by cameraId.

deviceId
integer<int64>
Example:

1234512345123

endedAtMs
integer<int64>
Example:

0

program
object
reportMetadata
object
startedAtMs
integer<int64>
Example:

1553808606097